SDL Library Documentation
Prev |  | Next

# SDL_PauseAudio

## Name

SDL_PauseAudio -- Pauses and unpauses the audio callback processing

## Synopsis

    #include "SDL.h"

``void SDL_PauseAudio`(int pause_on);`

## Description

This function pauses and unpauses the audio callback processing. It should be called with `pause_on`=0 after opening the audio device to start playing sound. This is so you can safely initialize data for your callback function after opening the audio device. Silence will be written to the audio device during the pause.

## See Also

`SDL_GetAudioStatus`, `SDL_OpenAudio`

Prev | Home | Next
SDL_OpenAudio | Up | SDL_GetAudioStatus